Update a location
curl --request PATCH \
--url https://api.plane.com/v1/locations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": {
"address.line1": "<string>",
"address.line2": "<string>",
"address.city": "<string>",
"address.state": "<string>",
"address.postal_code": "<string>",
"address.country": "<string>"
}
}
'import requests
url = "https://api.plane.com/v1/locations/{id}"
payload = {
"name": "<string>",
"address": {
"address.line1": "<string>",
"address.line2": "<string>",
"address.city": "<string>",
"address.state": "<string>",
"address.postal_code": "<string>",
"address.country": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
address: {
'address.line1': '<string>',
'address.line2': '<string>',
'address.city': '<string>',
'address.state': '<string>',
'address.postal_code': '<string>',
'address.country': '<string>'
}
})
};
fetch('https://api.plane.com/v1/locations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "loc_cNqYX2J3s9bI2Aa",
"name": "SF Headquarters",
"address": {
"line1": "123 Main Street",
"line2": null,
"city": "Oakland",
"state": "CA",
"postal_code": "94612",
"country": "US"
},
"created": "2024-01-15T00:00:00Z",
"updated": "2024-02-10T00:00:00Z"
}
Locations
Update a location
Update the name and/or address of an existing work location.
PATCH
/
v1
/
locations
/
{id}
Update a location
Use this endpoint when a work location has been renamed or its address details
have changed.
Parameters
string
required
The ID of the location to update.
string
New display name for the location.
object
Address fields to update. Plane merges the provided fields onto the existing
address.
Show child attributes
Show child attributes
string
Address line1 (e.g. street, PO Box, or company name).
string
Address line2 (e.g. apartment, suite, unit or building). Pass
null to clear it.string
City, district, suburb, town, or village.
string
State, county, province, or region.
string
ZIP or postal code.
string
Two-letter country code (ISO 3166-1 alpha-2).
Returns
Returns the updated Location object.{
"id": "loc_cNqYX2J3s9bI2Aa",
"name": "SF Headquarters",
"address": {
"line1": "123 Main Street",
"line2": null,
"city": "Oakland",
"state": "CA",
"postal_code": "94612",
"country": "US"
},
"created": "2024-01-15T00:00:00Z",
"updated": "2024-02-10T00:00:00Z"
}
Was this page helpful?
⌘I